#include <algorithm>
#include <iostream>
#include <string>
#include <vector>
#include <queue>
using namespace std;

int main() {
  // nacitame vstup
  int N; 
  string R;
  cin >> R >> N;
  
  // utriedime povolene cifry a ulozime si ich do pola D
  sort(R.begin(), R.end());
  vector<int> D;
  for (unsigned i=0; i<R.size(); i++) D.push_back( R[i]-'0' );

  vector<int> from(N,-1); // zvysok X vieme vyrobit z from[X]
  vector<int> print(N); // ... pridanim cifry print[X]
  
  // spracujeme jednociferne povolene cisla
  queue<int> Q;
  for (unsigned i=0; i<D.size(); i++) {
    if (D[i]==0) continue; // nula nie je povolena
    if (from[ D[i]%N ] != -1) continue; // tento zvysok uz mame
    from[ D[i]%N ] = -2;
    print[ D[i]%N ] = D[i];
    Q.push( D[i]%N );
  }

  // ideme vyrabat nove zvysky, kym to ide
  while (!Q.empty()) {
    int kde=Q.front(); Q.pop();
    for (unsigned i=0; i<D.size(); i++) {
      int kam = (10*kde + D[i]) % N;
      if (from[kam] == -1) { 
        from[kam] = kde;
        print[kam] = D[i];
        Q.push(kam);
      }
    }
  }
  
  if (from[0] == -1) { cout << "neexistuje" << endl; return 0; }
  
  vector<int> res;
  int som = 0;
  while (som>=0) { res.push_back(print[som]); som=from[som]; }
  for (int i=res.size()-1; i>=0; i--) cout << res[i]; cout << endl;
  
  return 0;
}
